Page MenuHomePhabricator

Outreachy: Selenium Microtasks
Closed, ResolvedPublic

Description

General Microtasks

  1. Set up gerrit for Mediawiki
  2. Clone mediawiki/core
  3. Make a trivial change to tests/selenium/README.md in mediawiki/core and push the commit to Gerrit.
    • Add Zfilipin, AlQaholic007 and Vidhi-Mody to Reviewers in Gerrit through the UI
    • Make topic of the patch to be T265011 so that Gerrit knows which Phabricator task the patch is for
  4. Amend your existing commit in Gerrit (See: P12961, For more information see Gerrit/Tutorial: Amending a change)
  5. Run selenium tests locally. If all tests pass, copy/paste terminal output to a paste. Then add the paste to a comment of this task. (Please include the steps followed to run the tests in the paste as well). For reference see P8206 and https://www.mediawiki.org/wiki/Selenium/Getting_Started
  6. T265463: Outreachy Microtask: Check if '/tests/selenium/log' is included in .gitignore in all repositories with Selenium tests
  7. T256950: Delete sample or skipped Selenium tests
  8. T248221: Update Selenium documentation to work with WebdriverIO v6

It is very likely you will get confused or stuck. Do not hesitate to ask for help. The best way is to create a subtask of this task and copy/paste as much relevant terminal output as possible. Also mention your operating system (and version) and versions of other relevant tools.

Students

Details

ProjectBranchLines +/-Subject
mediawiki/coremaster+4 -0
mediawiki/coremaster+9 -5
mediawiki/coremaster+26 -14
mediawiki/coremaster+5 -4
mediawiki/coremaster+10 -6
mediawiki/coremaster+21 -13
mediawiki/coremaster+5 -1
mediawiki/coremaster+1 K -1 K
mediawiki/coremaster+5 -0
mediawiki/coremaster+5 -0
mediawiki/coremaster+3 -0
mediawiki/coremaster+1 -1
mediawiki/coremaster+2 -0
mediawiki/coremaster+1 K -1 K
mediawiki/coremaster+1 K -1 K
mediawiki/coremaster+10 -8
Show related patches Customize query in gerrit

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 633287 had a related patch set uploaded (by Hulya Karakaya; owner: Hulya Karakaya):
[mediawiki/core@master] Make a trivial change to tests/selenium/README.md file This is an Outreachy micro-task.

https://gerrit.wikimedia.org/r/633287

Vidhi-Mody updated the task description. (Show Details)Oct 10 2020, 5:09 PM

Hey team, this is the paste for successful selenium test runs: https://phabricator.wikimedia.org/P12965
And here is the patch with trivial change - https://gerrit.wikimedia.org/r/c/mediawiki/core/+/633312

Vidhi-Mody updated the task description. (Show Details)Oct 10 2020, 7:13 PM
Harriet added a subscriber: Harriet.EditedOct 10 2020, 10:38 PM

Hello, here is the paste for a successful selenium test run: https://phabricator.wikimedia.org/P12966. I have also included the steps taken to run the tests.
I have also amended the commit and pushed the changes. It awaits review. Thanks.

Change 633284 had a related patch set uploaded (by Sskenner; owner: Sskenner):
[mediawiki/core@master] readme: add create test link in further reading section

https://gerrit.wikimedia.org/r/633284

santana added a comment.EditedOct 11 2020, 2:50 AM

Hi. As per microtask 5, please find the initial public paste of my successful test run. Here is the paste with steps followed to run tests as per microtask update.

Change 633348 had a related patch set uploaded (by Akanksha Bhattachan; owner: Akanksha Bhattachan):
[mediawiki/core@master] Microtask: Make a trivial change to README

https://gerrit.wikimedia.org/r/633348

Vidhi-Mody updated the task description. (Show Details)Oct 11 2020, 8:49 AM
Vidhi-Mody updated the task description. (Show Details)Oct 11 2020, 9:30 AM
Vidhi-Mody updated the task description. (Show Details)Oct 11 2020, 1:48 PM
Vidhi-Mody updated the task description. (Show Details)Oct 11 2020, 5:48 PM
Vidhi-Mody updated the task description. (Show Details)Oct 12 2020, 9:26 AM
Js636f added a subscriber: Js636f.Oct 12 2020, 10:15 AM

Change 633528 had a related patch set uploaded (by Js636f; owner: Js636f):
[mediawiki/core@master] Microtask: Make a trivial change to README

https://gerrit.wikimedia.org/r/633528

Hello! Here is the paste for a successful test run.

Vidhi-Mody updated the task description. (Show Details)Oct 12 2020, 7:31 PM

Hello ,

Please find my patch set attached https://phabricator.wikimedia.org/P12978 . It includes the successful run of selenium test and setup in local system.

Thank you .

Best regards,
Akanksha

Change 633886 had a related patch set uploaded (by Akanksha Bhattachan; owner: Akanksha Bhattachan):
[mediawiki/core@master] Outreachy Microtask

https://gerrit.wikimedia.org/r/633886

Change 633887 had a related patch set uploaded (by Akanksha Bhattachan; owner: Akanksha Bhattachan):
[mediawiki/core@master] Outreachy Microtask

https://gerrit.wikimedia.org/r/633887

Change 633890 had a related patch set uploaded (by Akanksha Bhattachan; owner: Akanksha Bhattachan):
[mediawiki/core@master] Outreachy Microtask

https://gerrit.wikimedia.org/r/633890

Vidhi-Mody updated the task description. (Show Details)Oct 14 2020, 1:00 PM

@Akanksha_Bhattachan I've noticed three more commits from your end. Are those for microtask 3?

Vidhi-Mody updated the task description. (Show Details)Oct 14 2020, 1:11 PM

@Akanksha_Bhattachan I've noticed three more commits from your end. Are those for microtask 3?

@Vidhi-Mody : Its from microtasks 5 , including also the tests selenium on README.md.

@Akanksha_Bhattachan I've noticed three more commits from your end. Are those for microtask 3?

@Vidhi-Mody : Its from microtasks 5 , including also the tests selenium on README.md.

@Akanksha_Bhattachan I'm talking about these 633886, 633887 and 633890

Hulya added a subscriber: Hulya.Oct 14 2020, 4:08 PM

Hi, this is the paste for the Microtask #5 related to Selenium tests. Ran the tests and passed 6 of them.

Vidhi-Mody updated the task description. (Show Details)Oct 14 2020, 4:09 PM
Soham updated the task description. (Show Details)Oct 15 2020, 6:09 AM
Soham updated the task description. (Show Details)
Vidhi-Mody updated the task description. (Show Details)Oct 15 2020, 9:01 AM
Vidhi-Mody updated the task description. (Show Details)
Vidhi-Mody updated the task description. (Show Details)
Vidhi-Mody updated the task description. (Show Details)Oct 19 2020, 1:42 PM

Change 635118 had a related patch set uploaded (by Amarachi Ogbonnaya; owner: Amarachi Ogbonnaya):
[mediawiki/core@master] Make a trivial change to tests/selenium/README.md file This is an Outreachy micro-task.

https://gerrit.wikimedia.org/r/635118

Change 635128 had a related patch set uploaded (by Vicky0602; owner: vicky0602):
[mediawiki/core@master] Make a trivial change to tests/selenium/README.md file This is an outreachy micro-task.

https://gerrit.wikimedia.org/r/635128

Vidhi-Mody updated the task description. (Show Details)Oct 20 2020, 10:23 AM
zeljkofilipin updated the task description. (Show Details)

Change 635297 had a related patch set uploaded (by Amarachi Ogbonnaya; owner: Amarachi Ogbonnaya):
[mediawiki/core@master] Make a trivial change to tests/selenium/README.md file This is an Outreachy micro-task.

https://gerrit.wikimedia.org/r/635297

Change 634765 had a related patch set uploaded (by BlessingDickson; owner: BlessingDickson):
[mediawiki/core@master] README.md: Add to Blessing Dickson's trivial change

https://gerrit.wikimedia.org/r/634765

Change 635554 had a related patch set uploaded (by BlessingDickson; owner: BlessingDickson):
[mediawiki/core@master] Merge branch 'master' of ssh://gerrit.wikimedia.org

https://gerrit.wikimedia.org/r/635554

Change 635554 abandoned by Zfilipin:
[mediawiki/core@master] Make a trivial change to tests/selenium/README.md file This is an Outreachy micro-task.

Reason:
There's something wrong with this commit.

https://gerrit.wikimedia.org/r/635554

Change 635748 had a related patch set uploaded (by BlessingDickson; owner: BlessingDickson):
[mediawiki/core@master] Make a trivial change to tests/selenium/README.md file This is an Outreachy micro-task.

https://gerrit.wikimedia.org/r/635748

Change 635826 had a related patch set uploaded (by BlessingDickson; owner: BlessingDickson):
[mediawiki/core@master] Make a trivial change to tests/selenium/README.md file This is an Outreachy micro-task.

https://gerrit.wikimedia.org/r/635826

Vidhi-Mody updated the task description. (Show Details)Oct 22 2020, 1:45 PM
Vidhi-Mody updated the task description. (Show Details)

Change 635826 abandoned by Zfilipin:
[mediawiki/core@master] Make a trivial change to tests/selenium/README.md file This is an Outreachy micro-task.

Reason:
This commit changes a lot of files. Something has gone wrong here.

https://gerrit.wikimedia.org/r/635826

I made an Outreachy proposal: T266538

Vicky0602 updated the task description. (Show Details)Oct 28 2020, 3:44 AM
435643 added a subscriber: 435643.Oct 29 2020, 11:02 AM

Hi, here is the link to a successful Selenium test https://phabricator.wikimedia.org/P13095. Kindly review. Thanks

Hi, please kindly review my paste about a successful selenium test. Here is the link- https://phabricator.wikimedia.org/P13076. Thanks!!!

I made an Outreachy proposal, please review: T266924

435643 updated the task description. (Show Details)Nov 2 2020, 12:08 PM

Change 635128 abandoned by Zfilipin:
[mediawiki/core@master] Make a trivial change to tests/selenium/README.md file This is an Outreachy micro-task.

Reason:
This was a test commit.

https://gerrit.wikimedia.org/r/635128

Change 633284 abandoned by Zfilipin:
[mediawiki/core@master] README: Add create test link in further reading section

Reason:
This is a test commit.

https://gerrit.wikimedia.org/r/633284

Change 635118 abandoned by Zfilipin:
[mediawiki/core@master] Make a trivial change to tests/selenium/README.md file This is an Outreachy micro-task.

Reason:
This is a test commit.

https://gerrit.wikimedia.org/r/635118

Change 635297 abandoned by Zfilipin:
[mediawiki/core@master] Make a trivial change to tests/selenium/README.md file This is an Outreachy micro-task.

Reason:
This is a test commit.

https://gerrit.wikimedia.org/r/635297

Change 635748 abandoned by Zfilipin:
[mediawiki/core@master] Make a trivial change to tests/selenium/README.md file This is an Outreachy micro-task.

Reason:
Something went wrong here.

https://gerrit.wikimedia.org/r/635748

Change 633348 abandoned by Zfilipin:
[mediawiki/core@master] Microtask: Make a trivial change to README

Reason:
This is a test commit.

https://gerrit.wikimedia.org/r/633348

Change 633886 abandoned by Zfilipin:
[mediawiki/core@master] Outreachy Microtask

Reason:
This is a test commit.

https://gerrit.wikimedia.org/r/633886

Change 633887 abandoned by Zfilipin:
[mediawiki/core@master] Outreachy Microtask

Reason:
This is a test commit.

https://gerrit.wikimedia.org/r/633887

Change 633890 abandoned by Zfilipin:
[mediawiki/core@master] Outreachy Microtask

Reason:
This is a test commit.

https://gerrit.wikimedia.org/r/633890

Change 633287 abandoned by Zfilipin:
[mediawiki/core@master] Make a trivial change to tests/selenium/README.md file This is an Outreachy micro-task.

Reason:
This is a test commit.

https://gerrit.wikimedia.org/r/633287

Change 633278 abandoned by Zfilipin:
[mediawiki/core@master] Microtask: Make a trivial change to tests/selenium/README.md file

Reason:
This is a test commit.

https://gerrit.wikimedia.org/r/633278

Change 633528 abandoned by Zfilipin:
[mediawiki/core@master] Make a trivial change to tests/selenium/README.md file This is an Outreachy micro-task.

Reason:
This is a test commit.

https://gerrit.wikimedia.org/r/633528

zeljkofilipin closed this task as Resolved.Wed, Nov 25, 4:37 PM
zeljkofilipin claimed this task.

A want to say a big thank you to everybody that worked on this task. I am resolving it now since the application phase of Outreachy internship is over and the interns are announced.